(function($) {
    "use strict";
    Royal_Preloader.config({
        mode: 'text', // 'number', "text" or "logo"
        text: 'TNS',
        timeout: 0,
        showInfo: true,
        opacity: 1,
        background: ['#FFFFFF']
    });
})(jQuery);
(function ($) {
    "use strict";
    //Fit screen	

    /*global $:false */
    $(function () {
        "use strict";
        $('#blog-post').css({
            'height': ($(window).height()) + 'px'
        });
        $(window).resize(function () {
            $('#blog-post').css({
                'height': ($(window).height()) + 'px'
            });
        });
    });
})(jQuery);
$(document).ready(function(){
    $(".header-main-inner .menu-item a").on("click",function(){
        $(".header-main-inner .menu-item a").removeClass("activemenu");
        $(this).addClass("activemenu");
    });
	
	
	//Mobile Menu
	$(".menu-mobile-toggle").on("click",function(){

		$(".header-menu-sidebar").css({
			position: "fixed",
			top:0,
			right: 300,
			visibility: 'visible',
			"pointer-events": "unset"
		});
		$(".header-menu-sidebar-inner").css({
			display: 'block',
			opacity: 1,
			"pointer-events": "unset"
		});
		$(".header-menu-sidebar-overlay").css({
			position: "fixed",
			inset : 0,
			visibility: 'visible',
			opacity: 1,
			"pointer-events": "unset"
		});
	});
	$(".close-sidebar-panel, .header-menu-sidebar-overlay").on("click",function(){
		console.log("clicked mobile");
		$(".header-menu-sidebar").css({
			right: 0,
			visibility: 'hidden',
		});
		$(".header-menu-sidebar-inner").css({
			display: 'none',
			opacity: 0,
		});
		$(".header-menu-sidebar-overlay").css({
			visibility: 'hidden',
			opacity: 0,
		});
	});
	
	//
	//
	//
	//
});